/*
 * Faxsuite RESTful API
 * <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  
 *
 * OpenAPI spec version: 4.0.0
 * Contact: support@fax-api.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 3.0.35
 *
 * Do not edit the class manually.
 *
 */
import {ApiClient} from './ApiClient';
import {ErrorAuthenticationResponse} from './model/ErrorAuthenticationResponse';
import {ErrorBadRequestResponse} from './model/ErrorBadRequestResponse';
import {ErrorInternalServerResponse} from './model/ErrorInternalServerResponse';
import {ErrorNotFoundResponse} from './model/ErrorNotFoundResponse';
import {ErrorServiceNotAvailableResponse} from './model/ErrorServiceNotAvailableResponse';
import {ErrorToManyRequestsResponse} from './model/ErrorToManyRequestsResponse';
import {Health} from './model/Health';
import {InlineResponse201} from './model/InlineResponse201';
import {Job} from './model/Job';
import {JobInfo} from './model/JobInfo';
import {JobOptions} from './model/JobOptions';
import {JobPost} from './model/JobPost';
import {JobPostOptions} from './model/JobPostOptions';
import {JobPostRecipient} from './model/JobPostRecipient';
import {JobRecipient} from './model/JobRecipient';
import {JobRecipients} from './model/JobRecipients';
import {JobStatistics} from './model/JobStatistics';
import {Jobs} from './model/Jobs';
import {JobsIdBody} from './model/JobsIdBody';
import {Notification} from './model/Notification';
import {Notifications} from './model/Notifications';
import {Preview} from './model/Preview';
import {Recipient} from './model/Recipient';
import {RecipientJob} from './model/RecipientJob';
import {Recipients} from './model/Recipients';
import {Template} from './model/Template';
import {Templates} from './model/Templates';
import {JobDetailsApi} from './api/JobDetailsApi';
import {JobsApi} from './api/JobsApi';
import {RecipientsApi} from './api/RecipientsApi';
import {SystemApi} from './api/SystemApi';

/**
* pimg_srchttpsservice_fax_api_de4_0imgfax_api_png_height100_titletitle_p_API_Definitionpimg_srchttpsservice_fax_api_de4_0imgopen_api_png_height50_titletitle_pDie_bRESTful_APIb_basiert_auf_den_bOpenAPI_v3_0_3b_Spezifikationen__OpenAPI_Spezifikationen__OAS_definieren_eine_standardisierte_und_programmiersprachenunabhngige_Schnittstellenbeschreibung_fr_RESTful_APIs__Diese_Schnittstelle_ist_nutzbar_ohne_dass_der_Zugang_zum_Quellcode_zustzliche_Dokumentation_oder_die_Untersuchung_des_Netzwerk_Traffics_erforderlich_ist__Somit_kann_ein_Nutzer_den_Dienst_mit_einem_Minimum_an_Implementierungslogik_verstehen_mit_ihm_interagieren_und_einfach_und_schnell_als_API_Schnittstelle_in_seine_eigene_Softwareanwendung_integrieren__brbrWeitere_Informationen_zu_OpenAPI_finden_sie_hier_a_hrefhttpswww_openapis_orgbhttpswww_openapis_orgba__Einleitungpimg_srchttpsservice_fax_api_de4_0imgfax_api_faxsuite_v2_png_height350_titletitle_pMit_unserer_bFaxsuiteb_knnen_Sie_berall_und_zu_jederzeit_Faxe_senden_und_empfangen__Neben_vielen_anderen_Funktionalitten_bietet_Ihnen_unsere_bFaxsuiteb_auch_eine_RESTFul_API_Schnittstelle__Damit_knnen_Sie_z__B__aus_Ihrer_eigenen_Softwareanwendung_Faxe_automatisiert_versenden__Zeitintensive_und_teure_Investionen_in_Hardware_und_Software_gehren_der_Vergangenheit_an_und_sind_nicht_mehr_notwendig__brbrUm_den_API_Service_nutzen_zu_knnen_mssen_Sie_sich_fr_die_a_hrefhttpswww_faxsuite_debFaxsuiteba_anmelden__Ein_kostenloser_Testzugang_kann_a_hrefhttpswww_faxverteiler_comtestzugangbhierba_beantragt_werden___iTo_use_the_API_service_you_need_to_sign_up_for_the_a_hrefhttpswww_faxsuite_debFaxsuiteba__A_free_trial_access_can_be_requested_a_hrefhttpswww_faxverteiler_comtestzugangbherebai_brbrMit_der_bFaxsuiteb_haben_Sie_die_Kontrolle_ber_Ihre_Fax_Kampangen__Mit_dem_kostenlosen_Testzugang_knnen_Sie_alle_Faxsuite_Module__Fax_API_Mail2Fax_Faxdrucker_Faxmailing_und_Faxempfang_unverbindlich_ausprobieren__Sie_bekommen_10_kostenlose_Faxseiten_die_Sie_zum_aktiven_Kennenlernen_unserer_Faxsuite_nutzen_knnen___iYou_can_test_the_bFaxsuiteb_modules_for_four_weeks_without_obligation__You_will_receive_10_free_fax_pages_with_the_free_trial_accessibrbrNachdem_Sie_den_Zugang_beantragt_haben_knnen_Sie_sich_a_hrefhttpswww_faxsuite_debhierba_in_die_bFaxsuiteb_einloggen__Unter_dem_Menpunkt_FAX_API__Konto_verwalten_knnen_Sie_ein_neues_Fax_API_Konto_erstellen__Bei_der_Erstellung_des_Fax_API_Kontos_wird_automatisch_ein_Autorisierungs_Schlssel_generiert_welchen_Sie_fr_den_Zugang_zur_API_Schnittstelle_bentigen___iAfter_creating_a_login_you_can_access_the_bFaxsuiteb_a_hrefhttpswww_faxsuite_debhereba__In_the_menu_FAX_API__Konto_verwalten_you_can_create_a_new_API_Account_and_receive_the_related_tokenkey_you_need_to_gain_access_to_our_API_servicei_brbrDie_standardisierte_API_Dokumentation_wird_Ihnen_in_zwei_unterschiedlichen_als_nicht_binteraktiveb_und_binteraktiveb_Varinaten_angebotenNameTypeLink__________________bRedocb__non_interactive__ba_hrefhttpsservice_fax_api_de4_0restindex_htmlclick_here_for_redocab_bSwagger_UIb__interactive__self_hosted__ba_hrefhttpsservice_fax_api_de4_0restswagger_uiindex_htmlclick_here_for_swaggerab_.<br>
* The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
* <p>
* An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
* <pre>
* var FaxsuiteResTfulApi = require('index'); // See note below*.
* var xxxSvc = new FaxsuiteResTfulApi.XxxApi(); // Allocate the API class we're going to use.
* var yyyModel = new FaxsuiteResTfulApi.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
* and put the application logic within the callback function.</em>
* </p>
* <p>
* A non-AMD browser application (discouraged) might do something like this:
* <pre>
* var xxxSvc = new FaxsuiteResTfulApi.XxxApi(); // Allocate the API class we're going to use.
* var yyy = new FaxsuiteResTfulApi.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* </p>
* @module index
* @version 4.0.0
*/
export {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient,

    /**
     * The ErrorAuthenticationResponse model constructor.
     * @property {module:model/ErrorAuthenticationResponse}
     */
    ErrorAuthenticationResponse,

    /**
     * The ErrorBadRequestResponse model constructor.
     * @property {module:model/ErrorBadRequestResponse}
     */
    ErrorBadRequestResponse,

    /**
     * The ErrorInternalServerResponse model constructor.
     * @property {module:model/ErrorInternalServerResponse}
     */
    ErrorInternalServerResponse,

    /**
     * The ErrorNotFoundResponse model constructor.
     * @property {module:model/ErrorNotFoundResponse}
     */
    ErrorNotFoundResponse,

    /**
     * The ErrorServiceNotAvailableResponse model constructor.
     * @property {module:model/ErrorServiceNotAvailableResponse}
     */
    ErrorServiceNotAvailableResponse,

    /**
     * The ErrorToManyRequestsResponse model constructor.
     * @property {module:model/ErrorToManyRequestsResponse}
     */
    ErrorToManyRequestsResponse,

    /**
     * The Health model constructor.
     * @property {module:model/Health}
     */
    Health,

    /**
     * The InlineResponse201 model constructor.
     * @property {module:model/InlineResponse201}
     */
    InlineResponse201,

    /**
     * The Job model constructor.
     * @property {module:model/Job}
     */
    Job,

    /**
     * The JobInfo model constructor.
     * @property {module:model/JobInfo}
     */
    JobInfo,

    /**
     * The JobOptions model constructor.
     * @property {module:model/JobOptions}
     */
    JobOptions,

    /**
     * The JobPost model constructor.
     * @property {module:model/JobPost}
     */
    JobPost,

    /**
     * The JobPostOptions model constructor.
     * @property {module:model/JobPostOptions}
     */
    JobPostOptions,

    /**
     * The JobPostRecipient model constructor.
     * @property {module:model/JobPostRecipient}
     */
    JobPostRecipient,

    /**
     * The JobRecipient model constructor.
     * @property {module:model/JobRecipient}
     */
    JobRecipient,

    /**
     * The JobRecipients model constructor.
     * @property {module:model/JobRecipients}
     */
    JobRecipients,

    /**
     * The JobStatistics model constructor.
     * @property {module:model/JobStatistics}
     */
    JobStatistics,

    /**
     * The Jobs model constructor.
     * @property {module:model/Jobs}
     */
    Jobs,

    /**
     * The JobsIdBody model constructor.
     * @property {module:model/JobsIdBody}
     */
    JobsIdBody,

    /**
     * The Notification model constructor.
     * @property {module:model/Notification}
     */
    Notification,

    /**
     * The Notifications model constructor.
     * @property {module:model/Notifications}
     */
    Notifications,

    /**
     * The Preview model constructor.
     * @property {module:model/Preview}
     */
    Preview,

    /**
     * The Recipient model constructor.
     * @property {module:model/Recipient}
     */
    Recipient,

    /**
     * The RecipientJob model constructor.
     * @property {module:model/RecipientJob}
     */
    RecipientJob,

    /**
     * The Recipients model constructor.
     * @property {module:model/Recipients}
     */
    Recipients,

    /**
     * The Template model constructor.
     * @property {module:model/Template}
     */
    Template,

    /**
     * The Templates model constructor.
     * @property {module:model/Templates}
     */
    Templates,

    /**
    * The JobDetailsApi service constructor.
    * @property {module:api/JobDetailsApi}
    */
    JobDetailsApi,

    /**
    * The JobsApi service constructor.
    * @property {module:api/JobsApi}
    */
    JobsApi,

    /**
    * The RecipientsApi service constructor.
    * @property {module:api/RecipientsApi}
    */
    RecipientsApi,

    /**
    * The SystemApi service constructor.
    * @property {module:api/SystemApi}
    */
    SystemApi
};
