/*
 * Faxsuite RESTful API
 * <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  
 *
 * OpenAPI spec version: 4.0.0
 * Contact: support@fax-api.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 3.0.35
 *
 * Do not edit the class manually.
 *
 */
import {ApiClient} from '../ApiClient';

/**
 * The JobOptions model module.
 * @module model/JobOptions
 * @version 4.0.0
 */
export class JobOptions {
  /**
   * Constructs a new <code>JobOptions</code>.
   * Contains additional options/parameter of a fax job
   * @alias module:model/JobOptions
   * @class
   */
  constructor() {
  }

  /**
   * Constructs a <code>JobOptions</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/JobOptions} obj Optional instance to populate.
   * @return {module:model/JobOptions} The populated <code>JobOptions</code> instance.
   */
  static constructFromObject(data, obj) {
    if (data) {
      obj = obj || new JobOptions();
      if (data.hasOwnProperty('title'))
        obj.title = ApiClient.convertToType(data['title'], 'String');
      if (data.hasOwnProperty('timeToSend'))
        obj.timeToSend = ApiClient.convertToType(data['timeToSend'], 'Date');
      if (data.hasOwnProperty('timeToSendUntil'))
        obj.timeToSendUntil = ApiClient.convertToType(data['timeToSendUntil'], 'Date');
      if (data.hasOwnProperty('faxHeader'))
        obj.faxHeader = ApiClient.convertToType(data['faxHeader'], 'Boolean');
      if (data.hasOwnProperty('faxHeaderFrom'))
        obj.faxHeaderFrom = ApiClient.convertToType(data['faxHeaderFrom'], 'String');
      if (data.hasOwnProperty('stationID'))
        obj.stationID = ApiClient.convertToType(data['stationID'], 'String');
      if (data.hasOwnProperty('clip'))
        obj.clip = ApiClient.convertToType(data['clip'], 'String');
      if (data.hasOwnProperty('defaultInternationalDialingCode'))
        obj.defaultInternationalDialingCode = ApiClient.convertToType(data['defaultInternationalDialingCode'], 'String');
      if (data.hasOwnProperty('costCenter'))
        obj.costCenter = ApiClient.convertToType(data['costCenter'], 'String');
      if (data.hasOwnProperty('saveDocuments'))
        obj.saveDocuments = ApiClient.convertToType(data['saveDocuments'], 'Boolean');
    }
    return obj;
  }
}

/**
 * Describes a title of a fax job
 * @member {String} title
 */
JobOptions.prototype.title = undefined;

/**
 * Describes the date the fax should be sent. The format complies with ISO 8601 and contains date and time
 * @member {Date} timeToSend
 */
JobOptions.prototype.timeToSend = undefined;

/**
 * Describes the date the fax can be sent until. The format complies with ISO 8601 and contains date and time
 * @member {Date} timeToSendUntil
 */
JobOptions.prototype.timeToSendUntil = undefined;

/**
 * Describes if the fax header is used or not in a fax job
 * @member {Boolean} faxHeader
 */
JobOptions.prototype.faxHeader = undefined;

/**
 * Describes the header part from in the fax header (if its used) in a fax job
 * @member {String} faxHeaderFrom
 */
JobOptions.prototype.faxHeaderFrom = undefined;

/**
 * Describes the source identifier, which will be displayed during the transmission and appears on the receipt protocol
 * @member {String} stationID
 */
JobOptions.prototype.stationID = undefined;

/**
 * Describes the Calling Line Identification Presentation (Clip). It is the transferred dialing number before the transmission of the fax document
 * @member {String} clip
 */
JobOptions.prototype.clip = undefined;

/**
 * Describes the default International Dialing Code which will be used for fax numbers without international area code
 * @member {String} defaultInternationalDialingCode
 */
JobOptions.prototype.defaultInternationalDialingCode = undefined;

/**
 * Describes the used cost center for a fax job
 * @member {String} costCenter
 */
JobOptions.prototype.costCenter = undefined;

/**
 * Describes if the uploaded template documents and resulting preview documents of a fax job are stored or not
 * @member {Boolean} saveDocuments
 */
JobOptions.prototype.saveDocuments = undefined;

